<?xml version="1.0"?>
<!--
#
# System:	Dynamic Dialogue (DD) System file
#
# File:			dd_items.xsl
#
# Title:		DD's Supported dialogue compnents
#
# Description:  
# 		The definition of the object which can by used on a dialogue. With the attribute fieldtype
#		a selection can be made for the required object. <attr fieldtype="dd_item">. These objects can ben
#		overridden in the projects main stylesheet. This file and it't components are READ ONLY. No one
#		touches this. DIg it. This file is maintained by The DD project team.
#
#		As for now, this file is maintained by RoRa and StPl.
#
# History:			Version	Person	Remark
#6-6-2005			1.0				StPl		Initial clean version

-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
				
	<xsl:import href="custom.xsl"/>		
	<!-- kpwindow components -->
	<xsl:import href="kpwindows_components/textarea.xsl"/>
	<xsl:import href="kpwindows_components/date_picker.xsl"/>
	<xsl:import href="kpwindows_components/video.xsl"/>
	<xsl:import href="kpwindows_components/gmaps.xsl"/>
	<xsl:import href="kpwindows_components/dragdropdiv.xsl"/>
	
	<!-- dojo widgets -->
	<xsl:import href="widgets/map.xsl"/>
	<xsl:import href="widgets/progressbar.xsl"/>
	<xsl:import href="widgets/filteringSelect.xsl"/>
	<xsl:import href="widgets/schedule.xsl"/>
	<xsl:import href="widgets/scheduler.xsl"/>
	<xsl:import href="widgets/layouteditor.xsl"/>
	<xsl:import href="widgets/combobox.xsl"/>
</xsl:stylesheet>

