<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='_proto_']">
		<xsl:variable name="formid" select="$formid" />
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<input class="text_item" type="text" data-dojo-type="chy/widget/_proto_">
				<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute>
   				<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']"><xsl:attribute name="readonly">true</xsl:attribute></xsl:if>
				<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>
				<xsl:attribute name="data-dojo-props">
							name: '<xsl:value-of select="@id"/>',
							formId: '<xsl:value-of select="$formid"/>',
							chyValidateStr: '<xsl:value-of select="@validate"/>'
				</xsl:attribute>
			</input>
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
