<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='mapview']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<div class="dojo_mapview">
				<div id="map">
					<xsl:attribute name="id">map_<xsl:value-of select="@id" /></xsl:attribute>
					<xsl:comment>spacer</xsl:comment>
				</div>
				<xsl:comment>spacer</xsl:comment>
			</div>
			<input type="hidden" name="component_onload">
				<xsl:attribute name="value">
					displayDojoMap('map_<xsl:value-of select="@id" />', <xsl:value-of select="@lat" />, <xsl:value-of select="@lon" />);
				</xsl:attribute>
			</input>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
