<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='normlabel']">
		<div class="normLabel_Container">
			<div class="normLabel_title"><xsl:value-of select="@title"/></div>
			<div class="normLabel_vals"><xsl:value-of select="@norm_value"/></div>
			<div class="normLabel_units"><xsl:value-of select="@norm_units"/></div>
			<div class="normLabel_caption"><xsl:value-of select="@norm_caption"/></div>
			<xsl:for-each select="label">
				<div>
					<xsl:attribute name="class">
						<xsl:choose>
							<xsl:when test="(number(../content) &gt;= number(@lower) and number(../content) &lt; number(@upper)) or (not(@lower) and number(../content) &lt; number(@upper)) or (not (@upper) and number(../content) &gt;= number(@lower))"> 
								normLabel_label normLabel_Sel
							</xsl:when>
							<xsl:otherwise>normLabel_label</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<div>
						<xsl:attribute name="class">normLabel_text  <xsl:value-of select="concat(../@arrow_class,position())"/></xsl:attribute>
						<xsl:value-of select="."/>
					</div>
					
					<div class="normLabel_Val"><xsl:value-of select="../content_dsp"/></div>			
				</div>			
			</xsl:for-each>
		</div>
	</xsl:template>

</xsl:stylesheet>
