﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='tab']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<span class="objectpair">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<xsl:if test="@lock!='true' or not(@lock)">
							<xsl:choose>
								<!--<xsl:when test="contains(content, ../@curr_cddid) or @cddid=../@curr_cddid">-->
								<xsl:when test="@id=../@selected">
									<td class="tabtexton"><img  src="images/tableftup.gif" width="2" height="26" border="0" alt=""/></td>
									<td  nowrap="nowrap" align="center" valign="middle"><xsl:text/>
									<xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute>
									<xsl:attribute name="class">tabtexton</xsl:attribute>
									<xsl:value-of select="@tab_label"/>
									</td>
									<td class="tabtexton"><img src="images/tabrightup.gif" width="2" height="26" border="0" alt=""/></td>
								</xsl:when>
								<xsl:otherwise>
									<td class="tabtextoff"><img src="images/tableftup.gif" width="2" height="26" border="0" alt=""/></td>
									<td  nowrap="nowrap" align="center" valign="middle"><xsl:text/>
									<xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute>
									<xsl:attribute name="class">tabtextoff</xsl:attribute>
									<a class="tabtext">
										<xsl:attribute name="href"><xsl:value-of select="content"/></xsl:attribute>
										<xsl:value-of select="@tab_label"/>
									</a>
									</td>
									<td class="tabtextoff"><img src="images/tabrightup.gif" width="2" height="26" border="0" alt=""/></td>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</tr>
				</table>				
				<xsl:if test="position()!=last()">
					<td  class="tabspacer" nowrap="nowrap" align="right"><img src="images/empty.gif" width="4" height="1" border="0" alt=""/></td>
				</xsl:if>
			</span>
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
