﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='textarea']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<textarea class="textarea_item">
   				<xsl:if test="@id[.!='']">
   					<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
   					<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
   				</xsl:if>
   				
       			<!-- Formatting -->
       			<xsl:if test="@cols[.!='']"><xsl:attribute name="cols"><xsl:value-of select="@cols"/></xsl:attribute></xsl:if>
       			<xsl:if test="@rows[.!='']"><xsl:attribute name="rows"><xsl:value-of select="@rows"/></xsl:attribute></xsl:if>
				<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly"/></xsl:if>								
				<xsl:if test="@maxlength[.!='']">
					<xsl:attribute name="maxlength"><xsl:value-of select="@maxlength"/></xsl:attribute>
					<xsl:attribute name="onblur">
						<xsl:text>chkLen( this, </xsl:text><xsl:value-of select="@maxlength"/><xsl:text>)</xsl:text>
					</xsl:attribute>
				</xsl:if>						
				
				<!-- Validation -->
				<xsl:if test="@validate[.!='']"><xsl:attribute name="alt"><xsl:value-of select="@validate"/></xsl:attribute></xsl:if>
				<xsl:if test="@errortext[.!='']"><xsl:attribute name="emsg"><xsl:value-of select="@errortext"/></xsl:attribute></xsl:if>
				<xsl:if test="@pattern[.!='']"><xsl:attribute name="pattern"><xsl:value-of select="@pattern"/></xsl:attribute></xsl:if>
				
				<!-- Content -->
				<xsl:choose>
					<xsl:when test="normalize-space(content)=''"><xsl:value-of select="@default"/></xsl:when>	
					<xsl:otherwise><xsl:value-of select="normalize-space(content)" /></xsl:otherwise>
				</xsl:choose>
			</textarea>	
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
