<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="attr[@fieldtype='schedule']">
			<div class="nihilo">
				<div>
					<xsl:attribute name="id">schedule<xsl:value-of select="./@id"/>buttons</xsl:attribute>
					<span id="dropDownButtonContainer"></span>
					<xsl:for-each select="./schedule">
						<button data-dojo-type="dijit/form/ToggleButton" data-dojo-props="iconClass:'dijitCheckBoxIcon', checked: true">
							<xsl:attribute name="id"><xsl:value-of select="@cssclass"/>button</xsl:attribute>
							<xsl:attribute name="class"><xsl:value-of select="@cssclass"/></xsl:attribute>
							<xsl:attribute name="onclick">dijit.byId('schedule<xsl:value-of select="../@id"/>_calendar').toggle('<xsl:value-of select="@cssclass"/>');</xsl:attribute>
							<xsl:value-of select="."/>
						</button>
					</xsl:for-each>
				</div>
				<div>
					<xsl:attribute name="id">schedule<xsl:value-of select="./@id"/></xsl:attribute>
					<xsl:attribute name="data-dojo-type">chy/widget/Schedule</xsl:attribute>
					<xsl:attribute name="data-dojo-props">contextcode: '<xsl:value-of select="./@contextcode"/>', view: '<xsl:value-of select="./@view"/>', hourSize: '<xsl:value-of select="./@hoursize"/>', schedule: [<xsl:for-each select="./schedule">{name: '<xsl:value-of select="."/>',contextcode: '<xsl:value-of select="@contextcode"/>', cssclass: '<xsl:value-of select="@cssclass"/>',dialog: '<xsl:value-of select="@dialog"/>'}<xsl:if test="position() != last()">,</xsl:if></xsl:for-each>]</xsl:attribute>
					<xsl:attribute name="style"><xsl:value-of select="./@style"/></xsl:attribute>
				</div>
			</div>
			<input type="hidden" name="component_onload"  >
					<xsl:attribute name="value">
						require(["dojo/parser", "dijit/TooltipDialog", "dijit/form/DropDownButton", "dijit/form/TextBox", "dijit/form/Button", "dijit/Calendar"]);
					</xsl:attribute>
				</input>
	</xsl:template>
</xsl:stylesheet>